# PetscMapSetFromOptions

Configures the map from the options database.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscMapSetFromOptions(PetscMap map)

Collective on PetscMap

### Input Parameter

map -The map

Notes: To see all options, run your program with the -help option, or consult the users manual. Must be called after PetscMapCreate() but before the map is used.

### Keywords

PetscMap, set, options, database

### See Also

PetscMapCreate(), PetscMapPrintHelp(), PetscMaphSetOptionsPrefix()

Level:intermediate
Location:src/vec/interface/map.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages